Subject: [Taps] Progress on taps-trasports

From: Brian Trammell <[email-masked]>
Date: Fri, 11 Sep 2015 17:40:07 +0200

Greetings, all,

We've integrated the FLUTE/ALC text into the working copy of the document (github.com/britram/taps-transports) as well as moving over to a slightly more streamlined Makefile (though, due to smart quote replacement issues I'm still debugging -- don't ask -- the toolchain to build the RFC from the markdown is not working at the moment).

We've discussed the decisions taken in the Prague meeting about how to handle features vs. components in each transport protocol section. Our (somewhat complicated) attempt on -06 to really describe TCP in terms of what we believe the components are didn't work out so well, and we'll go back to the previous, simpler, more thoroughly decomposed list from the previous version.

It strikes us that part of the issue is that what we've listed for each protocol in the 3.x.3 sections aren't really components (in the sense of sets intertwined of behaviors that are inherent to the protocol as designed), but rather features (whether or not these features should be exposed in the eventual TAPS framework). The *distinction* between a component and a feature, though useful for thinking about how to decompose protocols, is (as Michael indicated in Prague) perhaps a bit academic when the point of the exercise in the first place is to ensure we have a reasonably complete list of features that TAPS can/should support.

So we propose the following resolution to the components-versus-features confusion on a per-protocol basis:

(1) Keep each list in the 3.x.3 sections more or less as-is.
(2) Retitle the sections 3.x.3 "Features Provided" and make editorial changes as necessary for agreement.

Please yell if you think this is a terrible idea; otherwise we'll spin a -07 shortly. After this, we still need to handle the following items

	• Karen & Michael will add some text on SCTP

This is actually Mirja's action; she'll review the SCTP section and coordinate with Karen & Michael shortly. Arms untwisted 'til then :) and apologies -- I thought we were synced up here.

	• Varun will add some text on RTP

We're also missing text on WebSockets. Since we have nothing for either at this point, we'll strike these sections

	• Gorry will write something on applications learning about network conditions (ICMP)

This is still pending.

We'll integrate these into an -08, and then I think we're ready for WGLC.

Thanks, cheers,

Brian and Mirja